package com.chenyang.nse.bussiness.encryptionrule.model;

import java.util.ArrayList;
import java.util.List;

public class EncryptionSchemaGroup {
   private String datasystemid;
   private String schema;
   private List<EncryptionTableGroup> encryptionTableGroupList = new ArrayList();

   public EncryptionSchemaGroup(String datasystemid, String schema) {
      this.datasystemid = datasystemid;
      this.schema = schema;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public List<EncryptionTableGroup> getEncryptionTableGroupList() {
      return this.encryptionTableGroupList;
   }

   public void setEncryptionTableGroupList(List<EncryptionTableGroup> encryptionTableGroupList) {
      this.encryptionTableGroupList = encryptionTableGroupList;
   }

   public boolean equals(Object obj) {
      if (obj == null) {
         return false;
      } else if (this.datasystemid != null && this.schema != null) {
         EncryptionSchemaGroup target = (EncryptionSchemaGroup)obj;
         if (!this.datasystemid.equals(target.getDatasystemid())) {
            return false;
         } else {
            return this.schema.equals(target.getSchema());
         }
      } else {
         return false;
      }
   }
}
